allocate 98
open data c:\growth\bg2001nl.csv
data(format=cdf, org=obs, missing=-999)



set lnyl60 = log(yl60)
set lnyl95 = log(yl95)
set lnsk6095 = log(sk6095)
set lnngid6095 = log(glf6095+gavg6095+0.03)

set lnylrams95 = lnyl95-(0.35/0.65)*lnsk6095+(0.35/0.65)*(lnngid6095)

nonlin zbar sigma rho

frml ramseylevel lnylrams95 = zbar
frml ramseysk sk6095 = 0.35*(glf6095+gavg6095+0.03)/(rho+sigma*gavg6095+0.03)

compute zbar=8
compute rho=0
compute sigma=0

smpl(series=nonoil)
nlsystem(iter=100) / ramseylevel ramseysk

set skhat = 0.35*(glf6095+gavg6095+0.03)/(%beta(3)+%beta(2)*gavg6095+0.03)
set dum = %valid(skhat)*nonoil
smpl(series=dum)

stat(noprint) skhat
compute skm = %mean
compute skstd = sqrt(%variance)
stat(noprint) sk6095
compute skam = %mean
compute skastd = sqrt(%variance)
set dhat = skhat-skm
set dact = sk6095-skam
set x = dhat*dact
stat(noprint) x
compute sum = %mean*%nobs
disp 'Corr(sk, skhat) ' (sum/(skstd*skastd*(%nobs-1)))
clear skhat dum dhat dact x


compute zbar=8
compute rho=0
compute sigma=0

smpl(series=inter)
nlsystem(iter=100) / ramseylevel ramseysk
set skhat = 0.35*(glf6095+gavg6095+0.03)/(%beta(3)+%beta(2)*gavg6095+0.03)
set dum = %valid(skhat)*inter
smpl(series=dum)


stat(noprint) skhat
compute skm = %mean
compute skstd = sqrt(%variance)
stat(noprint) sk6095
compute skam = %mean
compute skastd = sqrt(%variance)
set dhat = skhat-skm
set dact = sk6095-skam
set x = dhat*dact
stat(noprint) x
compute sum = %mean*%nobs
disp 'Corr(sk, skhat) ' ((sum)/(skstd*skastd*(%nobs-1)))
clear skhat dum dhat dact x

compute zbar=8
compute rho=0
compute sigma=0

smpl(series=oecd)
nlsystem(iter=100) / ramseylevel ramseysk
set skhat = 0.35*(glf6095+gavg6095+0.03)/(%beta(3)+%beta(2)*gavg6095+0.03)
set dum = %valid(skhat)*oecd
smpl(series=dum)


stat(noprint) skhat
compute skm = %mean
compute skstd = sqrt(%variance)
stat(noprint) sk6095
compute skam = %mean
compute skastd = sqrt(%variance)
set dhat = skhat-skm
set dact = sk6095-skam
set x = dhat*dact
stat(noprint) x
compute sum = %mean*%nobs
disp 'Corr(sk, skhat) ' ((sum)/(skstd*skastd*(%nobs-1)))
clear skhat dum dhat dact x


compute zbar=8
compute rho=0
compute sigma=0

smpl(series=western)
nlsystem(iter=100) / ramseylevel ramseysk
set skhat = 0.35*(glf6095+gavg6095+0.03)/(%beta(3)+%beta(2)*gavg6095+0.03)
set dum = %valid(skhat)*western
smpl(series=dum)


stat(noprint) skhat
compute skm = %mean
compute skstd = sqrt(%variance)
stat(noprint) sk6095
compute skam = %mean
compute skastd = sqrt(%variance)
set dhat = skhat-skm
set dact = sk6095-skam
set x = dhat*dact
stat(noprint) x
compute sum = %mean*%nobs
disp 'Corr(sk, skhat) ' ((sum)/(skstd*skastd*(%nobs-1)))
clear skhat dum dhat dact x




